Blog Single

06 May

Instalasi PHP 5.6 di CentOS 7

Secara default, repositori paket perangkat lunak resmi CentOS 7 memiliki PHP 5.4, yang telah mencapai akhir masa pakainya dan tidak lagi dipelihara secara aktif oleh para pengembang.

Untuk mengikuti fitur terbaru dan pembaruan keamanan, Anda memerlukan versi PHP yang lebih baru (mungkin yang terbaru) pada sistem CentOS 7 Anda.

Oleh karena itu sangat disarankan bagi Anda untuk meningkatkan atau menginstal versi stabil terbaru yang didukung dari PHP 5.5, PHP 5.6 atau PHP 7 pada distribusi Linux CentOS 7.

Dalam artikel ini, kami akan menjelaskan cara menginstal versi stabil PHP 5.5 yang didukung (hanya pembaruan keamanan yang disediakan) atau PHP 5.6 pada CentOS 7 (instruksi yang sama juga berfungsi pada RHEL 7) distribusi.

Untuk menginstal PHP 5.6, Anda harus menginstal dan mengaktifkan repositori EPEL dan Remi ke sistem CentOS 7 Anda menggunakan perintah di bawah ini.

# yum install https://dl.fedoraproject.org/pub/epel/epel-release-latest-7.noarch.rpm
# yum install http://rpms.remirepo.net/enterprise/remi-release-7.rpm

Selanjutnya, instal yum-utils yang merupakan bermacam-macam utilitas yang berintegrasi dengan yum untuk meningkatkan fitur-fitur standarnya, memberikannya opsi manajemen paket yang lebih canggih dan juga membuatnya lebih mudah digunakan.

Beberapa fitur penting termasuk memanipulasi repositori, mengaktifkan atau menonaktifkan paket saat bepergian dan banyak lagi, tanpa konfigurasi manual.

# yum install yum-utils

Salah satu program terpenting yang disediakan oleh yum-utils adalah yum-config-manager, yang dapat Anda gunakan untuk mengaktifkan repositori Remi sebagai repositori default untuk menginstal berbagai versi PHP. Misalnya, jika Anda ingin menginstal PHP 5.5, PHP 5.6 atau PHP 7.2 di CentOS 7, cukup aktifkan dan instal seperti yang ditunjukkan.

# yum-config-manager --enable remi-php55   [Install PHP 5.5]
# yum-config-manager --enable remi-php56   [Install PHP 5.6]
# yum-config-manager --enable remi-php72   [Install PHP 7.2]

Sekarang setelah Anda mengaktifkan versi PHP yang dipilih, Anda dapat menginstal PHP (di sini, kami telah memilih untuk menginstal PHP 5.6) dengan semua modul yang diperlukan sebagai berikut :

# yum-config-manager --enable remi-php56   [Install PHP 5.6]
# yum install php php-mcrypt php-cli php-gd php-curl php-mysql php-ldap php-zip php-fileinfo

Setelah itu, periksa kembali versi PHP yang diinstal pada sistem Anda.

# php -v

Related Posts